OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class C3P0DbConnectionFactory

    java.lang.Object
      org.opennms.netmgt.config.C3P0DbConnectionFactory

All Implemented Interfaces:
  DbConnectionFactory

public class C3P0DbConnectionFactory
extends java.lang.Object
implements DbConnectionFactory

Field Summary
`private com.mchange.v2.c3p0.ComboPooledDataSource` `m_pool`

Constructor Summary
`C3P0DbConnectionFactory(DbConfiguration dbConfig)`

Method Summary
`java.sql.Connection` `getConnection()` Return a new database connection to the database configured in the `opennms-database.xml`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_pool

    private com.mchange.v2.c3p0.ComboPooledDataSource m_pool

Constructor Detail

### C3P0DbConnectionFactory

    public C3P0DbConnectionFactory(DbConfiguration dbConfig)
                            throws java.lang.ClassNotFoundException

Method Detail

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Description copied from interface: `DbConnectionFactory`
  Return a new database connection to the database configured in the `opennms-database.xml`. The database connection is not managed by the factory and must be release by the caller by using the `close` method.

  Specified by:
    `getConnection` in interface `DbConnectionFactory`
  Returns:
    a new database connection to the database configured in the `opennms-database.xml`
  Throws:
    `java.sql.SQLException` - Thrown if there is an error opening the connection to the database.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.